body {
  display: flex;
  color: black;
  perspective: 800px;
  font-family: "Helvetica", sans-serif;
  background-image: url("/music/BG.png");
  background-repeat: repeat;
  margin: 0;
  padding: 0;
  justify-content: center;
  align-items: center; 
  min-height: 100vh;
}

.container {
  max-width: 1000px;
  height: 850px;
  padding: 20px 40px 60px 40px;
  background: white;
  
  background: rgba(255, 255, 255, 0.4); /* semi-transparent white */
  border-radius: 50px;
}

h1, p {
  margin: 0;
}

p {
  font-size: .9em;
  font-family: "Consolas", sans-serif;
  display: inline-block;
  padding: 10px 15px;

  background: rgba(0, 0, 0, 0.4);
  color: white;

  border-radius: 10px;
  box-shadow: 0 0 25px rgba(0, 0, 0, 0.15);
}

h1 {
  color: white;
  text-shadow: 1px 1px 2px #d7db34, 0 0 25px #449727, 0 0 10px #de0201;
  font-size: 3em;
  text-align: center;
  margin-bottom: 24px;
}

h2 {
  color: white;
  text-shadow: 1px 1px 2px #d7db34, 0 0 25px #449727, 0 0 10px #de0201;
  font-size: 1.5em;
  margin-top: 32px;
  margin-bottom: 10px;
  text-align: center;
}

h4 {
  display: inline-block;
  
  color: white;
  text-shadow: 1px 1px 2px #d7db34, 0 0 25px #449727, 0 0 10px #de0201;
  font-size: 1rem;
  font-weight: normal;

  text-align: left;
  margin: 10px 0;

  transition: text-shadow 0.3s ease; /* makes it smooth instead of jumpy */
}

h4:hover {
  text-shadow: 
    2px 2px 4px #d7db34,
    0 0 40px #449727,
    0 0 20px #de0201;
}

.navigation {
  display: flex;
  justify-content: space-between;
}

.audio {
  width: 280px;
  padding: 10px;
  display: block;
  margin: 0 auto;
}


.album img {
  width: 250px;
  height: 250px;
  border-radius: 10px;

  image-rendering: pixelated;
  image-rendering: crisp-edges;

  border: 3px solid rgba(255, 255, 255, 0.15);
  padding: 4px;
  background: rgba(0, 0, 0, 0.25);
}

.album {
  display: flex;
  flex-direction: column;   
  align-items: center;
  width: 280px;
  padding: 16px;
  border-radius: 12px;
  background: rgba(255, 255, 255, 0.04);
  backdrop-filter: blur(6px);
}

.album h2 {
  min-height: 2.4em;
  align-items: center;
  justify-content: center;
  font-size: 1.2rem;
  margin: 12px 0 4px 0;
  font-weight: 700;
  text-shadow: 1px 1px 2px #d7db34, 0 0 25px #449727;
  letter-spacing: 0.3px;
}

.album h3 {
  font-size: 1rem;
  min-height: 1.5em;
  margin: 0 0 6px 0;
  font-weight: 800;
  color: white;

  text-shadow: 0 0 3px lime;
}

.album p {
  font-size: 0.9rem;
  text-align: center;
  min-height: 2.4em;
  margin: 0 0 12px 0;
  opacity: 0.65;
  font-style: italic;
}

.album-row {
  display: flex;
  justify-content: center;   
  align-items: stretch;     
  gap: 20px;
  flex-wrap: wrap;           
}